Bug 136194 - allow moving and resizing of maximized windows -- split
Summary: allow moving and resizing of maximized windows -- split
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: openSUSE RPMs Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-23 19:41 UTC by Maciej Pilichowski
Modified: 2012-03-13 20:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2006-10-23 19:41:45 UTC
Version:            (using KDE KDE 3.5.5)
Installed from:    SuSE RPMs

Please, divide it to two options -- (1) resizing, (2) moving. Resizing has this ugly side-effect that widgets near the edge has small margins. I would like to only be able to move maximized window (I don't resize them anyway).
Comment 1 lucas 2008-11-14 03:02:17 UTC
What do you mean by small margins? Screenshot?

When the option is enabled maximized windows are treated identically to when they are not, so that part is a WONTFIX.
Comment 2 Maciej Pilichowski 2008-11-14 08:36:49 UTC
Small borders. This is required because user has to somehow grab the left/right edge and resize the window.

> When the option is enabled maximized windows are treated identically to when
> they are not, so that part is a WONTFIX.

My wish is not about borders, it was only reasoning.

Again -- currently you can have:
a) non resizeable AND non moveable windows
b) resizable AND moveable windows
(when maximized)

my wish is to provide separate options for that (instead of one option, two options) so the user could have
c) resizable AND not moveable windows
d) moveable AND not resizeable windows

and I am particularly interested in (d).
Comment 3 Martin Flöser 2012-03-13 20:49:16 UTC
This seems like fixed to me after the introduction of quick maximization some years back :-)